"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlainModal = void 0;
var react_1 = __importStar(require("react"));
var react_2 = require("@headlessui/react");
var primeobjects_ui_web_store_1 = require("primeobjects-ui-web-store");
var primeobjects_ui_web_basic_1 = require("primeobjects-ui-web-basic");
var lodash_1 = require("lodash");
var index_1 = require("mobx-react-lite/dist/index");
exports.PlainModal = (0, index_1.observer)(function (props) {
    var show = props.show, title = props.title, onClickClose = props.onClickClose, width = props.width;
    var cancelButtonRef = (0, react_1.useRef)(null);
    var envStore = (0, primeobjects_ui_web_store_1.useEnvStore)();
    return (react_1.default.createElement(react_2.Transition.Root, { show: show, as: react_1.Fragment },
        react_1.default.createElement(react_2.Dialog, { as: "div", className: "relative z-10", initialFocus: cancelButtonRef, onClose: function () { } },
            react_1.default.createElement(react_2.Transition.Child, { as: react_1.Fragment, enter: "ease-out duration-300", enterFrom: "opacity-0", enterTo: "opacity-100", leave: "ease-in duration-200", leaveFrom: "opacity-100", leaveTo: "opacity-0" },
                react_1.default.createElement("div", { className: "fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity" })),
            react_1.default.createElement("div", { className: "fixed inset-0 z-10 overflow-y-auto" },
                react_1.default.createElement("div", { className: "flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0" },
                    react_1.default.createElement(react_2.Transition.Child, { as: react_1.Fragment, enter: "ease-out duration-300", enterFrom: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95", enterTo: "opacity-100 translate-y-0 sm:scale-100", leave: "ease-in duration-200", leaveFrom: "opacity-100 translate-y-0 sm:scale-100", leaveTo: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95" },
                        react_1.default.createElement(react_2.Dialog.Panel, { className: "flex flex-col transform overflow-hidden rounded-lg bg-white text-left shadow-xl transition-all w-full max-w-6xl", style: {
                                height: envStore.height - 40,
                                margin: 20,
                                width: (0, lodash_1.isNumber)(width) ? width : "100%"
                            } },
                            react_1.default.createElement("div", { className: "w-full flex p-4 border-b bg-gray-50 " },
                                react_1.default.createElement(react_2.Dialog.Title, { as: "h2", className: "text-lg flex-1 font-medium leading-none text-gray-900 mb-0" }, title),
                                react_1.default.createElement("div", { className: "cursor-pointer", onClick: onClickClose },
                                    react_1.default.createElement(primeobjects_ui_web_basic_1.SVG, { src: "/icons/platform/close.svg", size: 20 }))),
                            react_1.default.createElement("div", { className: "w-full flex flex-row", style: { height: envStore.height - 95 } }, props.children))))))));
});
exports.default = exports.PlainModal;
//# sourceMappingURL=plain-modal.js.map