"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useServerSentEvents = void 0;
function useServerSentEvents(_a) {
    var baseUrl = _a.baseUrl, config = _a.config, onData = _a.onData, onOpen = _a.onOpen, onClose = _a.onClose, onError = _a.onError;
    function openStream(_a) {
        var query = _a.query;
        var params = new URLSearchParams();
        Object.keys(query).forEach(function (key) {
            params.set(key, query[key]);
        });
        var evtSource = new EventSource("".concat(baseUrl, "?").concat(params), config);
        evtSource.onmessage = function (event) {
            if (event.data === "[DONE]") {
                evtSource.close();
                onClose();
            }
            else {
                onData(event.data);
            }
        };
        evtSource.onopen = onOpen;
        evtSource.onerror = function (e) {
            evtSource.close();
            onClose();
            onError(e);
        };
        return evtSource;
    }
    function closeStream(evtSource) {
        evtSource.close();
    }
    return { openStream: openStream, closeStream: closeStream };
}
exports.useServerSentEvents = useServerSentEvents;
//# sourceMappingURL=use-sse.js.map